#pragma once

#include "CoreMinimal.h"
#include "ChafKitCore/ChafKitCore.h"
#include "ChafKitResult.h"

class CHAFKIT_API ChafProfile
{
private:
    const ChafKitCore::Profile *Handle;

public:
    ChafProfile(const ChafKitCore::Profile *Handle);

    TChafKitResult<FString> GetUsername();
    TChafKitResult<FString> GetDisplayName();
    TChafKitResult<FString> GetUserId();
    TChafKitResult<FString> GetPhoto();
};