#pragma once

#include <cstddef>
#include "ChafKitCore/ChafKitCore.h"

namespace std
{
    template <>
    struct hash<ChafKitCore::CallbackHandle>
    {
        size_t operator()(const ChafKitCore::CallbackHandle &handle) const
        {
            return std::hash<uint32_t>{}(handle._0);
        }
    };
}

namespace ChafKitCore
{
    inline bool operator==(const ChafKitCore::CallbackHandle &a, const ChafKitCore::CallbackHandle &b)
    {
        return a._0 == b._0;
    }
}