#pragma once

#include "Modules/ModuleManager.h"
#include "ChafKitCore/ChafKitCore.h"
#include "ChafProfile.h"
#include "Utils/CallbackHandleHash.h"
#include <unordered_map>

DECLARE_DELEGATE_OneParam(FOnExternalTokenIssued, ChafKitCore::ExternalTokenIssued);

class CHAFKIT_API ChafKitAuth
{
public:
    static TChafKitResult<TSharedPtr<ChafProfile>> GetProfile();
    static TSharedPtr<FOnExternalTokenIssued> IssueExternalToken();

private:
};
