#pragma once

#include "Modules/ModuleManager.h"
#include "ChafKitCore/ChafKitCore.h"
#include "Utils/CallbackHandleHash.h"
#include <unordered_map>

DECLARE_DELEGATE_OneParam(FOnChafKitInitialized, ChafKitCore::ChafKitInitialized);

class CHAFKIT_API ChafKitSDK
{
public:
    static TSharedPtr<FOnChafKitInitialized> Initialize(const FString &GameId);
    static bool Shutdown();

private:
};
